Name:           obs-studio
Version:        0.13.4
Release:        %mkrel 1

Summary:        A recording/broadcasting program
Group:          Video
License:        GPLv2
URL:            https://obsproject.com/
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  cmake 
BuildRequires:  pkgconfig
BuildRequires:  %{_lib}fontconfig-devel
BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  %{_lib}xcomposite-devel
BuildRequires:  %{_lib}xinerama-devel
BuildRequires:  %{_lib}xrandr2-devel
BuildRequires:  %{_lib}curl-devel
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}jansson-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}qt5base5-devel 
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}v4l-devel
BuildRequires:  x264-devel
BuildRequires:  %{_lib}jack-devel

%description
Open Broadcaster Software is free and open source software for video recording and live streaming.

%package devel
Summary:        A recording/broadcasting program - Development Files
Group:          Video
Requires:       %{name} = %{version}

%description devel
Open Broadcaster Software is free and open source software for video recording and live streaming.

%prep
%setup -q

%build
rm -rf %{buildroot} 
mkdir -p build && cd build
cmake \
  -DUNIX_STRUCTURE=1 \
  -DCMAKE_INSTALL_PREFIX=/usr \
  -DOBS_VERSION_OVERRIDE="$(echo "%{version}" | grep -oE "^[^+]+")" \
  ..

%install
rm -rf %{buildroot} 
cd build
%makeinstall_std
desktop-file-install --vendor="" \
     --remove-category="Application" \
     --add-category="X-MandrivaLinux-Multimedia-Video;" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
convert %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps/obs.png -geometry 48x48  \
%{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/obs.png


# fix lib package locations which are inconsistent since they are 64bit libs, but placed in lib/
%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/obs-plugins
# needs obs-plugins in lib/ even though 64bit
# mv %%{buildroot}/usr/lib/obs-plugins/* %%{buildroot}%%{_libdir}/obs-plugins
mv %{buildroot}/usr/lib/libobs*.so* %{buildroot}%{_libdir}
%endif


%post -n %{name}
/sbin/ldconfig

%postun -n %{name}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%files
%defattr(-, root, root)
%{_bindir}/obs
# needs obs-plugins in lib/ even though 64bit
%{_usr}/lib/obs-plugins
%{_libdir}/libobsglad.so.0
%{_libdir}/libobs.so.0
%{_libdir}/libobs-opengl.so.0
%{_libdir}/libobs-opengl.so.0.0
%{_datadir}/applications/obs.desktop
%{_datadir}/icons/hicolor/*/apps/obs.png
%{_datadir}/obs

%files devel
%defattr(-, root, root)
%{_usr}/lib/cmake
%{_libdir}/libobs-opengl.so
%{_libdir}/libobs.so
%{_libdir}/libobsglad.so
%{_includedir}/obs

%changelog
* Sat Mar 26 2016 Ken <lxgator at gmail.com> 0.13.4-1pclos2016
- build for PCLOS
